#define COUNT_LOW 1500
#define COUNT_HIGH 8500
#define TIMER_WIDTH 16
#include "esp32-hal-ledc.h"
#include <M5StickC.h>

void setup() {
  M5.begin();
  // PWMを使用するための設定を行う関数
  ledcSetup(1, 50, TIMER_WIDTH);
  // PWMで利用するピンとチャネルを結び付ける関数
  ledcAttachPin(26, 1);

  M5.Lcd.setRotation(3);
  M5.Lcd.fillScreen(BLACK);
  M5.Lcd.setTextSize(1);
  M5.Lcd.setCursor(40, 0, 2);
  M5.Lcd.print("SERVO TEST");
  M5.Lcd.setTextSize(2);
}

void loop() {
  //デューティー比をCOUNT_LOW～COUNT_MAXまで、500ミリ秒ごとに100ずつ増やしていく。
  for(int i = COUNT_LOW; i < COUNT_HIGH; i = i + 100) {
    M5.Lcd.setCursor(0, 15);
    M5.Lcd.printf("duty: %05d", i);
    //チャンネル1に変数iの値（デューティー比）を書き込み
    ledcWrite(1, i);
    delay(500);
  }
}
